import {CSSProperties} from "react";

export const mergeStyles = (style: CSSProperties, ...others: Array<CSSProperties | undefined>): CSSProperties => {
  let merged = {...style}
  for (const other of others) {
    if (other != null) {
      merged = {...merged, ...other}
    }
  }
  return merged
}
